/*
 * Application.c
 *
 *  Created on: 4 Jul 2014
 *      Author: B50390
 */

#include "Application.h"
#include "LCD.h"
#include "SegLCD1.h"
#include "UTIL1.h"
#include "MAG1.h"

static LDD_TDeviceData *MySegLCDPtr;
extern uint16_t second;
uint16_t minute=0;

  void APP_Run(void) {
    MySegLCDPtr = SegLCD1_Init(NULL);  //initialize sLCD according to PEx
    unsigned char lcdBuf[sizeof("1234")];
    static uint8_t temperature;
	MAG1_Init();
    for(;;){

    		WAIT1_Waitms(500); //stops flickering
            MAG1_GetTemperature((uint8_t*)&temperature); //gets temperature
            UTIL1_Num16sToStrFormatted(lcdBuf, sizeof(lcdBuf), temperature, ' ', 2); //converts to string
            strcat(lcdBuf,"oc"); //appends 'oc' to look like degrees c on display
            vfnLCD_Write_Msg(lcdBuf); //write to LCD
    } //end of infinite for

  } //end of APP_run();


